LibOFX: OfxAggregate Class Reference

LibOFX

Public Member Functions
OfxAggregate Class Reference

A single aggregate as described in the OFX 1.02 specification. More...

Inheritance diagram for OfxAggregate:

## Public Member Functions
| OfxAggregate (const string &tag)
void | Add (const string &tag, const string &data)
void | Add (const OfxAggregate &sub)
string | Output (void) const

## Detailed Description

A single aggregate as described in the OFX 1.02 specification.

This aggregate has a tag, and optionally a number of subordinate elements and aggregates.

An example is: <CCACCTINFO> <CCACCTFROM> <ACCTID>1234 </CCACCTFROM> <SUPTXDL>Y <SVCSTATUS>ACTIVE </CCACCTINFO>

Definition at line 42 of file ofx_aggregate.hh.

## Constructor & Destructor Documentation

## ◆ OfxAggregate()

OfxAggregate::OfxAggregate | ( | const string & | tag | ) |
| inline

Creates a new aggregate, using this tag

Parameters

  tag | The tag of this aggregate

Definition at line 50 of file ofx_aggregate.hh.

## Member Function Documentation

## ◆ Add() [1/2]

void OfxAggregate::Add | ( | const string & | tag,
|  | const string & | data
| ) |  |
| inline

Adds an element to this aggregate

Parameters

  tag | The tag of the element to be added
  data | The data of the element to be added

Definition at line 59 of file ofx_aggregate.hh.

Referenced by OfxStatementRequest::BankStatementRequest(), OfxStatementRequest::CreditCardStatementRequest(), OfxStatementRequest::InvestmentStatementRequest(), OfxAccountInfoRequest::OfxAccountInfoRequest(), OfxPaymentRequest::OfxPaymentRequest(), OfxStatementRequest::OfxStatementRequest(), OfxRequest::RequestMessage(), and OfxRequest::SignOnRequest().

## ◆ Add() [2/2]

void OfxAggregate::Add | ( | const OfxAggregate & | sub | ) |
| inline

Adds a subordinate aggregate to this aggregate

Parameters

  sub | The aggregate to be added

Definition at line 69 of file ofx_aggregate.hh.

## ◆ Output()

string OfxAggregate::Output | ( | void |  | ) | const
| inline

Composes this aggregate into a string

Returns
  string form of this aggregate

Definition at line 79 of file ofx_aggregate.hh.

Referenced by Add().

The documentation for this class was generated from the following file:

- ofx_aggregate.hh